<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".RegisterActivity">

<!--    <ImageView-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="match_parent"-->
<!--        android:background="@drawable/a3">-->
<!--    </ImageView>-->

    <TextView
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:text="@string/Register"
        android:textSize="22sp"
        android:textColor="@color/white"
        android:gravity="center"
        android:background="#D555A6A5">
    </TextView>

    <LinearLayout
        android:id="@+id/homework_register"
        android:layout_width="match_parent"
        android:layout_height="70dp"
        android:layout_marginTop="65dp"
        android:orientation="horizontal"
        >
        <Spinner
            android:id="@+id/subject"
            android:layout_width="100dp"
            android:layout_height="70dp"
            android:layout_marginLeft="3dp"
            android:entries="@array/subjects"
            android:spinnerMode="dialog"
            android:gravity="center"
            android:layout_marginStart="3dp">
        </Spinner>

        <EditText
            android:id="@+id/name"
            android:layout_width="280dp"
            android:layout_height="70dp"
            android:layout_marginLeft="15dp"
            android:hint="作业名称"
            android:singleLine="true"
            android:textSize="24sp"
            />

    </LinearLayout>

    <TextView
        android:layout_width="130dp"
        android:layout_height="40dp"
        android:layout_below="@id/homework_register"
        android:layout_marginTop="40dp"
        android:layout_marginLeft="10dp"
        android:text="截止时间 :"
        android:textColor="@color/black"
        android:textSize="21sp"
        android:layout_marginStart="10dp">

    </TextView>
    <Spinner
        android:id="@+id/rank"
        android:layout_width="100dp"
        android:layout_height="70dp"
        android:layout_marginLeft="5dp"
        android:entries="@array/rank"
        android:spinnerMode="dialog"
        android:layout_marginTop="100dp"
        android:layout_below="@id/homework_register"
        android:layout_marginStart="5dp">

    </Spinner>

    <DatePicker
        android:id="@+id/time"
        android:layout_width="270dp"
        android:layout_height="150dp"
        android:layout_marginTop="120dp"
        android:layout_marginLeft="120dp"
        android:datePickerMode="spinner"
        android:calendarViewShown="false"
        android:startYear="2021"
        >

    </DatePicker>

    <Button
        android:id="@+id/btn_homework_dj"
        android:layout_width="125dp"
        android:layout_height="55dp"
        android:layout_marginTop="300dp"
        android:text="@string/Register"
        android:textColor="@color/white"
        android:textSize="20dp"
        android:background="#A5329D91"
        android:layout_marginLeft="260dp">

    </Button>


</RelativeLayout>